/*
Theme Name: Coulee Region Cornhole
Version: 1.0
Description: Custom theme
Author: DigiSage, Inc.
Author URI: https://digisage.com
template: bb-theme
*/

:root {
   --crc-pagewidth: 1200px;
   --crc-purple: #303390;
   --crc-gray: #8da6b5;
   --crc-yellow: #fbed00;
   --crc-red: #ed2024;
   --crc-green: #008c45;
   /* custom socials */
   --svg-icon-twitter-x: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1200 1227'><path fill='%23005E9E' d='M714.163 519.284L1160.89 0H1055.03L667.137 450.887L357.328 0H0L468.492 681.821L0 1226.37H105.866L515.491 750.218L842.672 1226.37H1200L714.137 519.284H714.163ZM569.165 687.828L521.697 619.934L144.011 79.6944H306.615L611.412 515.685L658.88 583.579L1055.08 1150.3H892.476L569.165 687.854V687.828Z'/></svg>");
   --svg-icon-blue-sky: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 64 57'><path fill='%23005E9E' d='M13.873 3.805C21.21 9.332 29.103 20.537 32 26.55v15.882c0-.338-.13.044-.41.867-1.512 4.456-7.418 21.847-20.923 7.944-7.111-7.32-3.819-14.64 9.125-16.85-7.405 1.264-15.73-.825-18.014-9.015C1.12 23.022 0 8.51 0 6.55 0-3.268 8.579-.182 13.873 3.805ZM50.127 3.805C42.79 9.332 34.897 20.537 32 26.55v15.882c0-.338.13.044.41.867 1.512 4.456 7.418 21.847 20.923 7.944 7.111-7.32 3.819-14.64-9.125-16.85 7.405 1.264 15.73-.825 18.014-9.015C62.88 23.022 64 8.51 64 6.55c0-9.818-8.578-6.732-13.873-2.745Z'/></svg>");
   --svg-icon-substack: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 511.471' fill='none'><path d='M0 0h448v62.804H0V0zm0 229.083h448v282.388L223.954 385.808 0 511.471V229.083zm0-114.542h448v62.804H0v-62.804z' fill='%231c1666' /></svg>");
}

/* utilities */
.pad-left-pagewidth > .fl-col-content {
   padding-left: calc((100vw - var(--crc-pagewidth)) / 2);
}
.pad-right-pagewidth > .fl-col-content {
   padding-right: calc((100vw - var(--crc-pagewidth)) / 2);
}
@media(max-width:1240px) {
   .pad-left-pagewidth > .fl-col-content {
      padding-left: 20px;
   }
   .pad-right-pagewidth > .fl-col-content {
      padding-right: 20px;
   }
}

/*
   icon module brand replacements
   need to set color states here to match module settings
*/
span.fl-icon i.fa-bookmark::before,
span.fl-icon i.fa-twitter::before,
span.fl-icon i.fa-cloud-sun::before {
   content: '\00a0';
   display: block;
   width: 16px; /* match this to the size of the other icons individually */
   height: 100%;
   background-color: var(--crc-red);
   mask-size: contain;
   mask-repeat: no-repeat;
   mask-position: center;
   -webkit-mask-size: contain;
   -webkit-mask-repeat: no-repeat;
}
span.fl-icon i.fa-bookmark::before {
   width: 15px;
   mask-image: var(--svg-icon-substack);
   -webkit-mask-image: var(--svg-icon-substack);
}
span.fl-icon i.fa-twitter::before {
   width: 16px;
   mask-image: var(--svg-icon-twitter-x);
   -webkit-mask-image: var(--svg-icon-twitter-x);
}
span.fl-icon i.fa-cloud-sun::before {
   width: 19px;
   mask-image: var(--svg-icon-blue-sky);
   -webkit-mask-image: var(--svg-icon-blue-sky);
}
span.fl-icon i.fa-bookmark:hover::before,
span.fl-icon i.fa-twitter:hover::before,
span.fl-icon i.fa-cloud-sun:hover::before {
   background-color: var(--crc-purple);
}

/* icons in footer */
.footer span.fl-icon i.fa-bookmark::before,
.footer span.fl-icon i.fa-twitter::before,
.footer span.fl-icon i.fa-cloud-sun::before {
   background-color: var(--crc-yellow);
}
.footer span.fl-icon i.fa-bookmark:hover::before,
.footer span.fl-icon i.fa-twitter:hover::before,
.footer span.fl-icon i.fa-cloud-sun:hover::before {
   background-color: var(--crc-red);
}

/* layering styles (off while editing) */
body:not(.fl-builder-edit) .z-index-5 {
   position: relative;
   z-index: 5;
}
body:not(.fl-builder-edit) .z-index-10 {
   position: relative;
   z-index: 10;
}
body:not(.fl-builder-edit) .z-index-15 {
   position: relative;
   z-index: 15;
}

/* gravity form styling since we are using only the shortcode output */
.gform-body label {
   font-size: 15px !important;
   text-transform: uppercase;
   font-weight: 600 !important;
}
.gform_button {
   font-size: 18px !important;
   text-transform: uppercase !important;
   font-size: 15px !important;
   font-weight: 600 !important;
   padding: 14px 20px 10px 20px !important;
   background-color: #162E5E !important;
}
.gform-body input,
.gform-body textarea {
   font-size:20px !important;
   font-weight: 300 !important;
   padding-top: 5px !important;
}

/* newsletter gravity form */
.newsletter form {
   display: flex;
   column-gap: 15px;
}
.newsletter form label {
   color: #fff !important;
}
.newsletter form .gform-body > .gform_fields {
   display: flex;
}
.newsletter form .gform-footer {
   display: flex;
   flex-direction: column;
   justify-content: flex-end;
}
.newsletter form .gform-footer input.gform_button {
   padding: 0px 20px !important;
   width: 200px !important;
   height: 36px !important;
   line-height: 1 !important;
   background: var(--crc-red) !important;
   transition: .3s !important;
}
.newsletter form .gform-footer input.gform_button:hover {
   background: var(--crc-green) !important;
}
@media(max-width:768px) {
   .newsletter form {
      flex-direction: column;
      column-gap: 0px;
   }
   .newsletter form .gform-body > .gform_fields {
      flex-direction: column;
      row-gap: 20px;
   }
}



